LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XSubmissionSupplier Interface Reference

is implemented by a component which allows access to a component which can submit data. More...

`import "XSubmissionSupplier.idl";`

Inheritance diagram for XSubmissionSupplier:

## Public Attributes
XSubmission | Submission
| specifies the XSubmission instance to which the submission request should be delegated.

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is implemented by a component which allows access to a component which can submit data.

See also
  XSubmission

## Member Data Documentation

## ◆ Submission

XSubmission Submission
| attribute

specifies the XSubmission instance to which the submission request should be delegated.

The documentation for this interface was generated from the following file:

- com/sun/star/form/submission/XSubmissionSupplier.idl